## org.hibernate.envers.configuration
Class GlobalConfiguration

    java.lang.Object
      org.hibernate.envers.configuration.GlobalConfiguration

    public class GlobalConfiguration

extends Object

Field Summary
`static String` `DEFAULT_MODIFIED_FLAG_SUFFIX`
`static String` `GLOBAL_WITH_MODIFIED_FLAG_PROPERTY`
`static String` `MODIFIED_FLAG_SUFFIX_PROPERTY`

Constructor Summary
`GlobalConfiguration(Properties properties)`

Method Summary
`String` `getCorrelatedSubqueryOperator()`
`String` `getDefaultCatalogName()`
`String` `getDefaultSchemaName()`
`String` `getModifiedFlagSuffix()`
`Class<? extends RevisionListener>` `getRevisionListenerClass()`
`boolean` `hasSettingForUsingModifiedFlag()`
`boolean` `isDoNotAuditOptimisticLockingField()`
`boolean` `isGenerateRevisionsForCollections()`
`boolean` `isGlobalWithModifiedFlag()`
`boolean` `isStoreDataAtDelete()`
`boolean` `isTrackEntitiesChangedInRevisionEnabled()`
`void` `setTrackEntitiesChangedInRevisionEnabled(boolean trackEntitiesChangedInRevisionEnabled)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GLOBAL_WITH_MODIFIED_FLAG_PROPERTY

    public static final String GLOBAL_WITH_MODIFIED_FLAG_PROPERTY

See Also:
  Constant Field Values

### MODIFIED_FLAG_SUFFIX_PROPERTY

    public static final String MODIFIED_FLAG_SUFFIX_PROPERTY

See Also:
  Constant Field Values

### DEFAULT_MODIFIED_FLAG_SUFFIX

    public static final String DEFAULT_MODIFIED_FLAG_SUFFIX

See Also:
  Constant Field Values

Constructor Detail

### GlobalConfiguration

    public GlobalConfiguration(Properties properties)

Method Detail

### isGenerateRevisionsForCollections

    public boolean isGenerateRevisionsForCollections()

### isDoNotAuditOptimisticLockingField

    public boolean isDoNotAuditOptimisticLockingField()

### getCorrelatedSubqueryOperator

    public String getCorrelatedSubqueryOperator()

### isStoreDataAtDelete

    public boolean isStoreDataAtDelete()

### getDefaultSchemaName

    public String getDefaultSchemaName()

### getDefaultCatalogName

    public String getDefaultCatalogName()

### isTrackEntitiesChangedInRevisionEnabled

    public boolean isTrackEntitiesChangedInRevisionEnabled()

### setTrackEntitiesChangedInRevisionEnabled

    public void setTrackEntitiesChangedInRevisionEnabled(boolean trackEntitiesChangedInRevisionEnabled)

### getRevisionListenerClass

    public Class<? extends RevisionListener> getRevisionListenerClass()

### hasSettingForUsingModifiedFlag

    public boolean hasSettingForUsingModifiedFlag()

### isGlobalWithModifiedFlag

    public boolean isGlobalWithModifiedFlag()

### getModifiedFlagSuffix

    public String getModifiedFlagSuffix()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.